/*
  Version:  February 10, 2011
  Author:   James Tam

  An example that shows how to recursively sum a series of numbers from one to
  the value of last (currently set to 3).

*/
public class Driver
{
     public static int sum (int num)
     {
          // Base case
          if (num == 1)
              return 1;
          // Recursive case: return the original number plus the return value of 
          // calling method sum but with the parameter decreased by 1.
          else
              return (num + sum(num-1));
     }

     public static void main (String args [])
     {
        int last = 3;
        int total = 0;

        total = sum(last);
        System.out.println("Sum from 1-" +last + " is " + total);
      
     }
}